What's changed in latest 5.1.0

What's changed in latest 5.1.0

What's changed in latest 5.1.0

These are all the changes between the current version and the previous version

Operation Changes

Updated Operations

Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Description Changed
Description from Get a list of tokens with manifest info as per the filter criteria. to Get a list of tokens with manifest info as per the filter criteria. | Sorting is supported by the following fields - display_name, remaining_instance_count, | usage_count, and status.
Parameters changed
Updated
Description Changed
description from Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the limit and the page_size options to request a particular set or page of items. to Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Type Changed
type from boolean,null to boolean,null
Description Changed
description from Use this request param to filter by display name. to Use this request parameter to filter by display name.
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Description Changed
Description from Get a list of sensors with appliance information and statuses. to Get a list of sensors with appliance information and statuses. | Sorting is supported by the following fields - display_name, registration_status, health, flows_enabled, | mps_enabled, ids_enabled, and pcap_enabled.
Parameters changed
Added
sensor_ids
software_versions
Updated
Description Changed
description from Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the limit and the page_size options to request a particular set or page of items. to Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Type Changed
type from boolean,null to boolean,null
Description Changed
description from Use this request param to filter by display name. to Use this request parameter to filter by display name.
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Parameters changed
Updated
Description Changed
description from Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the limit and the page_size options to request a particular set or page of items. to Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Type Changed
type from boolean,null to boolean,null
Description Changed
description from Use this request param to filter by display name. to Use this request parameter to filter by display name.
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Added
x-feature-switch
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Updated
x-feature-switch Changed
x-feature-switch from platform-sensor-lic to platform-sensor-lic
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Updated
x-feature-switch Changed
x-feature-switch from platform-sensor-lic to platform-sensor-lic
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Updated
x-feature-switch Changed
x-feature-switch from platform-sensor-lic to platform-sensor-lic
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Updated
x-feature-switch Changed
x-feature-switch from platform-sensor-lic to platform-sensor-lic
Responses changed
Added
400
401
403
412
428
429
Extensions changed
Updated
x-feature-switch Changed
x-feature-switch from platform-sensor-lic to platform-sensor-lic

Deprecated Operation

No Changes

Deleted Operation

POST
/sensors/registration-tokens
DELETE
/sensors/registration-tokens/{token-id}

Data Structure Changes

Updated Structures

Resource
Properties changed
Updated
_revision
Description Changed
description from The _revision property describes the current revision of the resource. To prevent clients from overwriting each other's changes, PUT operations must include the current _revision of the resource, which clients should obtain by issuing a GET operation. If the _revision provided in a PUT request is missing or stale, the operation will be rejected. to The _revision property describes the current revision of the resource. To prevent clients from overwriting each other's changes, update operations must include the current _revision of the resource in request body, which clients should obtain by issuing a GET operation. 1. First, issue a GET request to current state of the resource. 2. Change the payload as needed to PUT. Retain the _revision as returned in the GET call. 3. Include this _revision value in the PUT request body. If the `_revision` field is missing, the request will be rejected with HTTP 428 (Precondition Required). If the `_revision` is stale (another update occurred), the request will be rejected with HTTP 412 (Precondition Failed).
ListRequestParameters
Properties changed
Updated
offset
Description Changed
description from Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the limit and the page_size options to request a particular set or page of items. of items. to Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items. of items.
ListResult
Properties changed
Updated
total_result_count
Description Changed
description from Total number of results found (across all pages), set only on first page. to Total number of results across all pages.
InlineToken1
Properties changed
Updated
passphrase
Description Changed
description from Passphrase of registration token. String at least 12 characters in length, and no more than 128 characters. String contains at least 1 lowercase, 1 uppercase, 1 numeric character and 1 special character. Since this is sensitive data the get API's will not return this field. to Passphrase of registration token. String at least 15 characters in length, and no more than 128 characters. String contains at least 1 lowercase, 1 uppercase, 1 numeric character and 1 special character. Since this is sensitive data the get API's will not return this field.
SensorRegistrationTokenInfo
Description Changed
description from Details of a registration token. to Details of a registration token. Note: The minimum length for a passphrase of the token for sensor registration is 15 characters. The token will be valid for only 30 minutes as an additional security measure.
SensorApplianceInfo
Properties changed
Added
_last_modified_time
SensorIdsSignatureBundleInfo
Properties changed
Added
bundle_creation_time
SensorFeatureConfig
Properties changed
Updated
ids_config
Required Changed
required from pcap_enabled to pcap_enabled
SensorDetail
Properties changed
Updated
appliance_info
Required Changed
required from cpu_sockets,memory,software_version to cpu_sockets,memory,software_version
appliance_networking_info
Required Changed
required from host_name,nics,dns,ntp,home_networks to host_name,nics,dns,ntp,home_networks
sensor_feature_config
Required Changed
required from ids_enabled,flows_enabled,mps_enabled to ids_enabled,flows_enabled,mps_enabled
InlineSensorRegistrationTokenList0
Properties changed
Updated
total_result_count
Description Changed
description from Total number of results found (across all pages), set only on first page. to Total number of results across all pages.
Inline0
Properties changed
Updated
total_result_count
Description Changed
description from Total number of results found (across all pages), set only on first page. to Total number of results across all pages.
InlineSensorList0
Properties changed
Updated
total_result_count
Description Changed
description from Total number of results found (across all pages), set only on first page. to Total number of results across all pages.
InlineSensorDetailList0
Properties changed
Updated
total_result_count
Description Changed
description from Total number of results found (across all pages), set only on first page. to Total number of results across all pages.

Deprecated Structures

No Changes

Deleted Structures

No Changes